<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>List of Persons</title>
        <!-- Include Bootstrap CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    </head>
    <body>
        <div class="text-center">
            <a th:href="@{/emails-with-gmail}" class="btn btn-success btn-lg">Mostrar @gmail
            </a>
            <a th:href="@{/}" class="btn btn-success btn-lg">Mostrar todos
            </a>
        </div>

        <div class="container mt-5">
            <h2 class="text-center">List of Persons</h2>
            <table class="table table-bordered table-striped">
                <thead class="thead-dark">
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Surname</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="person : ${persons}">
                        <td th:text="${person.id}"></td>
                        <td th:text="${person.name}"></td>
                        <td th:text="${person.surname}"></td>
                        <td th:text="${person.email}"></td>
                        <td th:text="${person.phone}"></td>
                        <td>
                            <a th:href="@{'/update/' + ${person.id}}" class="btn btn-info">Edit</a>
                            <a th:href="@{'/delete/' + ${person.id}}" class="btn btn-danger">Delete</a>
                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="text-center">
                <a th:href="@{/person}" class="btn btn-success btn-lg">Add Person</a>
            </div>
        </div>

        <!-- Include Bootstrap JavaScript at the end of the page for better performance -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    </body>
</html>

